
TYPO3.Fluid - Bug # 1929

Status: Resolved Priority: Must have
Author: Sebastian Kurfuerst Category:
Created: 2008-10-31 Assigned To: Sebastian Kurfuerst
Updated: 2010-10-20 Due date:
Has patch:
Affected Flow version:
Subject: HTMLSPECIALCHAR OUTPUT
Description

HTMLSpecialChar has to be switched on somewhere (where?), and then each view helper will automatically htmlspecialchar the
output coming from ObjectAccessors. ("render"-method in ObjectAccessor)

History
#1 - 2009-01-27 00:34 - Thomas Allmer

I'm just curious - who will needs this?

I mean we all should use UTF-8 right?

#2 - 2009-01-29 09:48 - Sebastian Kurfuerst

The problem is the following:
- if someone writes something like {customer.name}, then sometimes HTML output should be escaped... The question is how to do this nicely.

Greets,
Sebastian

#3 - 2009-04-17 10:12 - Bastian Waidelich

IMHO this should not be done globally. In some cases you don't want to htmlspecialchar variables.
Besides, Fluid should not only work for HTML/XML based templates. So what about

<f3:format.escape>{customer.name}</f3:format.escape>
or{f3:format.escape(customer.name)}
or{customer.name, f3:format.escape}

on the other hand.. maybe it should be a default and possibly be switched off if needed..

#4 - 2009-05-14 11:57 - Sebastian Kurfuerst
- Category set to 444
- Status changed from New to Accepted
- Priority changed from Should have to Must have

#5 - 2009-05-14 12:02 - Sebastian Kurfuerst
- Target version set to 1.0.0 alpha 1
#6 - 2009-05-22 16:08 - Sebastian Kurfuerst
- Status changed from Accepted to Resolved
- Assigned To set to Sebastian Kurfuerst
- % Done changed from 0 to 100
- Branch set to v5

resolved
